aboutsummaryrefslogtreecommitdiffstats
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2013-06-26 21:29:38 +0000
committerGuy Harris <guy@alum.mit.edu>2013-06-26 21:29:38 +0000
commit53bc39d6edd632684b37cf895d00e122df9cf4c2 (patch)
treeaa4ee68140f6dbb760c0d0f794d9ca060e9ba84e /macosx-setup.sh
parentc2e995bd6d3d7cde3c2e15026ee21b1655f3c862 (diff)
Another clang issue to work around:
libgcrypt expects gnu89-style semantics for "inline"; GCC defaults to gnu89, but clang defaults to gnu99. svn path=/trunk/; revision=50175
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 94458219a2..543a469e10 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -593,7 +593,12 @@ if [ "$LIBGCRYPT_VERSION" -a ! -f libgcrypt-$LIBGCRYPT_VERSION-done ] ; then
# The assembler language code is not compatible with the OS X
# x86 assembler (or is it an x86-64 vs. x86-32 issue?).
#
- ./configure --disable-asm || exit 1
+ # libgcrypt expects gnu89, not c99/gnu99, semantics for
+ # "inline". See, for example:
+ #
+ # http://lists.freebsd.org/pipermail/freebsd-ports-bugs/2010-October/198809.html
+ #
+ CFLAGS="$CFLAGS -std=gnu89" ./configure --disable-asm || exit 1
make $MAKE_BUILD_OPTS || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..